package com.zcloud.safetyDutyList.domain.gateway.tasklist;

import com.zcloud.safetyDutyList.domain.model.tasklist.TaskListIssueE;

import java.util.List;

/**
 * 清单下发记录网关接口
 */
public interface TaskListIssueGateway {

    Boolean add(TaskListIssueE taskListIssueE);

    Boolean update(TaskListIssueE taskListIssueE);

    Boolean deleteById(Long id);

    TaskListIssueE getByTaskIssueId(String taskIssueId);

    List<TaskListIssueE> listByTaskListId(String taskListId);

    List<TaskListIssueE> listExpiredInProgress();

    List<TaskListIssueE> listIssuedWithPeriod();

    // 清单是否下发
    Boolean isIssued(String taskListId);
}
